DRM_GEM_CMA_DUMB_MAP(9)

NAME
drm_gem_cma_dumb_map_offset - return the fake mmap offset for a CMA GEM object

SYNOPSIS

int drm_gem_cma_dumb_map_offset(struct drm_file * file_priv, struct drm_device * drm, u32 handle, u64 * offset);

ARGUMENTS

file_priv
    DRM file-private structure containing the GEM object

drm
    DRM device

handle
    GEM object handle

offset
    return location for the fake mmap offset

DESCRIPTION

This function look up an object by its handle and returns the fake mmap offset associated with it. Drivers using the CMA helpers should set this as their DRM driver's ->dumb_map_offset callback.

RETURNS

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT